Subject: Re: bug#5312: Why is ‘show-trailing-whitespace’ considered unsafe?

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Jan 2010 13:56:38 -0500

> Why is ‘show-trailing-whitespace’ considered unsafe?

Because all vars are unsafe by default (i.e. unless someone tells Emacs
explicitly that this var is safe).

> I find it inconvenient since adding it to a per-file or per-directory
> local variable list will (by default) ask users whether they want to
> apply the dreaded setting.

Arguably this var is more a personal user preference than a property of
a file, so maybe the lack of a `safe-local-variable' property is
actually a feature ;-0

        Stefan